Skip to content

List Data Objects

GET
/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/ai_labs/organization/{Organization_Id}/course/{Course_Id}/shared-storage/{Storage_Id}/objects/?location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Note: AI Labs is currently available only in the Delhi region. List all objects/files in a shared storage

Organization_Id
required
integer

Organization ID

Course_Id
required
integer

Course ID

Storage_Id
required
integer

Unique identifier for the shared storage

location
required
string
Allowed values: Delhi Chennai

Location

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

prefix
string

Prefix to filter objects in storage

Example

page_no
integer

The page number from which you want your page search results to be displayed.

per_page
integer

Number of results per page

Successfully retrieved storage objects list

Media typeapplication/json
object
code
integer
data
Array<object>
object
bucket_name
string
contentType
string
nullable
is_delete_marker
boolean
is_dir
boolean
is_latest
boolean
nullable
lastModified
string format: date-time
name
string
owner_id
integer
nullable
owner_name
string
nullable
size
integer
storage_class
string
version_id
string
nullable
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"data": [
{
"bucket_name": "d-gpu-28911c97-a14c-4bc0-843b-d5c79fb58ee1",
"is_delete_marker": false,
"is_dir": false,
"lastModified": "2025-10-28T08:49:17.222000Z",
"name": "AI Labs.postman_collection.json",
"size": 94339,
"storage_class": "STANDARD"
}
],
"errors": {},
"message": "Success",
"total_page_number": 1,
"total_count": 1
}